.words-list {
  ul {
    li {
      .main-tile {
        width: 90%;
        padding: 10px 20px 10px 20px;
        border-radius: 0 36px 36px 0;
        background-color: var(--secondary-color);
        color: var(--text-color-a);
        display: flex;
        align-items: center;
        margin-right: 10px;
        .words-count {
          text-align: center;
          line-height: 36px;
          font-size: 18px;
          display: inline-block;
          color: var(--yellow);
          height: 40px;
          width: 40px;
          min-width: 40px;
          overflow: hidden;
          border: 3px solid var( --border-color);
          border-radius: 20px;
        }
        .words-info {
          display: inline-block;
          padding-left: 25px;
          width: 100%;
          div {
            &.words-name, &.words-group {
              max-width: calc(100% - 30px);
              white-space: nowrap;
              overflow: hidden;
              text-overflow: ellipsis;
            }
            &.words-group {
              color: var(--text-primar-color);
              font-size: 12px;
            }
          }
        }
        .words-favourite {
          display: block;
          opacity: 1;
          font-size: 20px;
          color: var(--yellow);
          -webkit-transition: opacity 0.1s ease-out 0.2s;
          -moz-transition: opacity 0.1s ease-out 0.2s;
          -o-transition: opacity 0.1s ease-out 0.2s;
          transition: opacity 0.1s ease-out 0.2s;
        }

        -webkit-transition: width 0.3s ease-out;
        -moz-transition: width 0.3s ease-out;
        -o-transition: width 0.3s ease-out;
        transition: width 0.3s ease-out;
      }
      .secondary-tile {
        background-color: var(--text-color-a);
        height: 62px;
        width: 0;
        border-radius: 36px;
        display: flex;
        align-items: center;
        justify-content: space-evenly;
        overflow: hidden;
        font-size: 20px;

        -webkit-transition: width 0.3s ease-out;
        -moz-transition: width 0.3s ease-out;
        -o-transition: width 0.3s ease-out;
        transition: width 0.3s ease-out;
        
        div {
          display: inline-block;
          &.favourite {
            color: var(--yellow);
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 600px) {
  .words-list {
    .words-info {
      width: 82%;
      max-width: 82%;
      min-width: 82%;
    }
    ul {
      li {
        &.selected {
          .words-name, .words-group {
            max-width: 100% !important;
          }
          .main-tile {
            width: 50%;

            .words-favourite {
              opacity: 0;
              height: 0;
              width: 0;
              overflow: hidden;
            }
          }
          .secondary-tile {
            width: 37%;
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 330px) {
  .words-list {
    .words-info {
      width: calc(100% - 52px);
      max-width: calc(100% - 52px);
      min-width: calc(100% - 52px);
    }
  }
}

@media only screen and (min-width: 600px) {
  .words-list {
    ul {
      li {
        &:hover {
          .words-name {
            max-width: 100%;
          }
          .main-tile {
            width: 50%;
            .words-favourite {
              opacity: 0;
              height: 0;
              width: 0;
              overflow: hidden;
            }
          }
          .secondary-tile {
            width: 37%;
          }
        }
      }
    }
  }
}
